Posts

Get a post

One post. Poll it to follow a post through publishing.

GET / posts / {id}
curl "https://smanager.mrfirdavs.uz/api/v1/posts/6f1c2b9e-3a1d-4c7e-9f0a-1b2c3d4e5f60" \
  -H "Authorization: Bearer $ONETHREADS_KEY"
OK
{
  "id": "6f1c2b9e-3a1d-4c7e-9f0a-1b2c3d4e5f60",
  "account": "29145472575138133",
  "status": "scheduled",
  "text": "Shipping the new release today ๐Ÿš€",
  "media": [
    {
      "id": "efa6aa69-6625-421a-881e-360535c0e2e2.png",
      "type": "image",
      "url": "https://smanager.mrfirdavs.uz/media/efa6aa69-6625-421a-881e-360535c0e2e2.png",
      "name": "release.png",
      "alt": "Screenshot of the new dashboard"
    }
  ],
  "options": {
    "topic": "buildinpublic"
  },
  "scheduledAt": "2026-11-02T09:00:00.000Z",
  "publishedAt": null,
  "threadsId": null,
  "permalink": null,
  "error": null,
  "createdAt": "2026-10-28T11:03:10.445Z",
  "updatedAt": "2026-10-28T11:03:10.445Z"
}

Authorizations

Authorizationheaderrequired
Bearer <key>. Any key works, read-only included.

Path parameters

idstringrequired
The post's id.